Bug 1243121 - Neutron port quota fails larger overcloud deployments
Summary: Neutron port quota fails larger overcloud deployments
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: Director
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: y1
: 7.0 (Kilo)
Assignee: Ben Nemec
QA Contact: Marius Cornea
URL:
Whiteboard:
Keywords: Triaged, ZStream
: 1251571 1261206 (view as bug list)
Depends On:
Blocks: 1191185 1243520
TreeView+ depends on / blocked
 
Reported: 2015-07-14 20:08 UTC by Ben Nemec
Modified: 2018-02-08 10:46 UTC (History)
11 users (show)

(edit)
The Overcloud deployment used a default port quota of 50 for Neutron networking, which caused failures in larger deployments. This fix disables the port quota. Larger Overcloud deployments no longer fail from lack of Neutron ports.
Clone Of:
(edit)
Last Closed: 2015-10-08 12:14:43 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1862 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux OpenStack Platform 7 director update 2015-10-08 16:05:50 UTC

Description Ben Nemec 2015-07-14 20:08:51 UTC
Description of problem: The neutron port quota on the undercloud is set to 50 by default, which fails even moderately sized deployments when using network isolation.


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Deploy an overcloud with 3 controllers and 10 computes
2.
3.

Actual results: Deployment fails due to over quota errors on Neutron ports


Expected results: Successful deployment


Additional info:

Comment 4 chris alfonso 2015-07-14 20:14:45 UTC
Ben, any clarification to the workaround we want to put in the release doc?

Comment 5 Emilien Macchi 2015-07-14 20:59:27 UTC
This is the default in puppet-neutron: https://github.com/openstack/puppet-neutron/blob/master/manifests/quota.pp#L93
Because this is the default in Neutron:
https://github.com/openstack/neutron/blob/d2408211204a2ea4272e25d11b2b12c502567380/neutron/quota.py#L55-L58

If we need such a change, I would suggest to patch tripleo-heat-template to use the puppet class and change the parameter. Can be done quickly, please let me know.

Comment 7 Ben Nemec 2015-08-11 19:04:54 UTC
*** Bug 1251571 has been marked as a duplicate of this bug. ***

Comment 8 Ben Nemec 2015-08-14 19:11:38 UTC
The workaround is to run "neutron quota-update --port -1" on the undercloud.

Comment 10 bigswitch 2015-09-14 20:28:04 UTC
*** Bug 1261206 has been marked as a duplicate of this bug. ***

Comment 11 bigswitch 2015-09-16 22:55:15 UTC
Chris, can you please set the severity field to "urgent" for this bug. We are using severity field to track the blocker issues.

Comment 12 chris alfonso 2015-09-17 15:21:08 UTC
Setting the severity to urgent won't change anything as far as when it's delivered. This bug is currently ON_QA, which means the bug is has been patched by a developer, and our quality engineering group is testing the fix. This bug also has a 'blocker' flag on it, which means it's critical and it must be part of the 7.1 release.

Comment 13 Marius Cornea 2015-09-22 12:38:59 UTC
[stack@instack ~]$ rpm -qa | grep instack-undercloud
instack-undercloud-2.1.2-26.el7ost.noarch
[stack@instack ~]$ neutron quota-show defaults
+---------------------+-------+
| Field               | Value |
+---------------------+-------+
| network             | 10    |
| port                | -1    |
| security_group      | 10    |
| security_group_rule | 100   |
| subnet              | 10    |
+---------------------+-------+

Comment 15 errata-xmlrpc 2015-10-08 12:14:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1862


Note You need to log in before you can comment on or make changes to this bug.